unit MailMergeU;

// This sample shows how to use the TciMailMerge Component.

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls, Grids, DBGrids, Db, DBTables, ciMailMerge, BDE;

type
  TfrmMailMergeSample = class(TForm)
    ciMailMerge: TciMailMerge;
    Table: TTable;
    DataSource: TDataSource;
    DBGrid1: TDBGrid;
    cmbAlias: TComboBox;
    cmbTable: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    btnMerge: TButton;
    btnQuit: TButton;
    cmbWordProcessor: TComboBox;
    Label3: TLabel;
    txtFilename: TEdit;
    Label4: TLabel;
    btnSelectFile: TSpeedButton;
    OpenDialog: TOpenDialog;
    Label5: TLabel;
    txtDataFilename: TEdit;
    btnSelectDataFile: TSpeedButton;
    Label6: TLabel;
    cmbAction: TComboBox;
    Database: TDatabase;
    rbMergeOne: TRadioButton;
    rbMergeAll: TRadioButton;
    Label7: TLabel;
    procedure btnQuitClick(Sender: TObject);
    procedure btnMergeClick(Sender: TObject);
    procedure btnSelectFileClick(Sender: TObject);
    procedure btnSelectDataFileClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure cmbAliasChange(Sender: TObject);
    procedure cmbTableChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMailMergeSample: TfrmMailMergeSample;

implementation

{$R *.DFM}

// Copied directly from the BDE help file
procedure fDbiOpenTableList(hTmpDb: hDBIDb; TableList: TStrings);
var
  hCursor : hDBICur;
  ListDesc : TBLBaseDesc;
begin
   Check(DbiOpenTableList(hTmpDb, False, False, '*.DB*', hCursor));
   TableList.Clear;
   while DbiGetNextRecord(hCursor, dbiNOLOCK, @ListDesc, nil) = dbiErr_None do
     TableList.Add(ListDesc.szName);
end;


procedure TfrmMailMergeSample.btnQuitClick(Sender: TObject);
begin
   Table.Close;
   Close;
end;

procedure TfrmMailMergeSample.btnMergeClick(Sender: TObject);
begin
   with ciMailMerge do
   begin
      MergeDocument := txtFilename.Text;
      OutputFile := txtDataFilename.Text;

      case cmbWordProcessor.ItemIndex of      //
         0 : WordProcessor := wpWord;
         1 : WordProcessor := wpWordPerfect;
      end;

      case cmbAction.ItemIndex of      //
         0 : MergeKind := mkNoMerge;
         1 : MergeKind := mkPreview;
         2 : MergeKind := mkPrint;
         3 : MergeKind := mkNew;
      end;      // case

      if rbMergeOne.Checked then
         ciMailMerge.MergeNumber := mnOne
      else
         ciMailMerge.MergeNumber := mnAll;
         

      Execute;
   end;    // with
end;

procedure TfrmMailMergeSample.btnSelectFileClick(Sender: TObject);
begin
   if OpenDialog.Execute then
      txtFilename.Text := OpenDialog.Filename;

end;

procedure TfrmMailMergeSample.btnSelectDataFileClick(Sender: TObject);
begin
   if OpenDialog.Execute then
      txtDataFilename.Text := OpenDialog.Filename;

end;

procedure TfrmMailMergeSample.FormCreate(Sender: TObject);
begin
   Session.GetAliasNames(cmbAlias.Items)


end;

procedure TfrmMailMergeSample.cmbAliasChange(Sender: TObject);
begin
   Database.Connected := false;
   Database.AliasName := cmbAlias.Text;
   Database.Connected := true;
   fDbiOpenTableList(Database.Handle, cmbTable.Items);
end;

procedure TfrmMailMergeSample.cmbTableChange(Sender: TObject);
begin
   Table.Close;
   Table.TableName := cmbTable.Text;
   Table.Open;
end;

end.
