unit wpformat;

interface
uses
    Windows;

const
WP60 = 0;
WP61 = 1;
WP70 = 2;

MRG_Beep = $0;
MRG_Break = $1;
MRG_Cancel_Off = $2;
MRG_Cancel_On = $3;
MRG_Continue = $4;
MRG_Date = $5;
MRG_Default = $6;
MRG_Display_Stop = $7;
MRG_Else = $8;
MRG_End_Case = $9;

MRG_End_For = $b;
MRG_End_If = $c;

MRG_End_While = $e;
MRG_Next = $f;
MRG_Next_Record = $10;
MRG_Page_Off = $11;
MRG_Page_On = $12;
MRG_Print = $13;
MRG_Quit = $14;
MRG_Process_On = $15;
MRG_Return = $16;
MRG_Return_Cancel = $17;
MRG_Return_Error = $18;
MRG_Rewrite = $19;
MRG_Step_Off = $1a;
MRG_Step_On = $1b;
MRG_Stop = $1c;
MRG_Process_Off = $1d;

MRG_Assign_On = $30;
MRG_Assign_Off = $31;
MRG_Call_On = $32;
MRG_Call_Off = $33;
MRG_Caps_On = $34;
MRG_Caps_Off = $35;
MRG_Case_On = $36;
MRG_Case_Off = $37;
MRG_CaseOf_On = $38;
MRG_CaseOf_Off = $39;
MRG_ChainMacro_On = $3a;
MRG_ChainMacro_Off = $3b;
MRG_ChainData_On = $3c;
MRG_ChainData_Off = $3d;
MRG_ChainForm_On = $3e;
MRG_ChainForm_Off = $3f;
MRG_Char_On = $40;
MRG_Char_Off = $41;
MRG_Codes_On = $42;
MRG_Codes_Off = $43;
MRG_Comment_On = $44;
MRG_Comment_Off = $45;
MRG_CToN_On = $46;
MRG_CToN_Off = $47;
MRG_Document_On = $48;
MRG_Document_Off = $49;
MRG_EmbedMacro_On = $4a;
MRG_EmbedMacro_Off = $4b;
MRG_Field_On = $4c;
MRG_Field_Off = $4d;
MRG_FieldNames_On = $4e;
MRG_FieldNames_Off = $4f;
MRG_FirstCap_On = $50;
MRG_FirstCap_Off = $51;
MRG_For_On = $52;
MRG_For_Off = $53;
MRG_ForEach_On = $54;
MRG_ForEach_Off = $55;
MRG_GetString_On = $56;
MRG_GetString_Off = $57;
MRG_Go_On = $58;
MRG_Go_Off = $59;
MRG_If_On = $5a;
MRG_If_Off = $5b;
MRG_IfBlank_On = $5c;
MRG_IfBlank_Off = $5d;
MRG_IfExists_On = $5e;
MRG_IfExists_Off = $5f;
MRG_IfNotBlank_On = $60;
MRG_IfNotBlank_Off = $61;
MRG_Insert_On = $62;
MRG_Insert_Off = $63;
MRG_Keyboard_On = $64;
MRG_Keyboard_Off = $65;
MRG_Label_On = $66;
MRG_Label_Off = $67;
MRG_Local_On = $68;
MRG_Local_Off = $69;
MRG_Look_On = $6a;
MRG_Look_Off = $6b;
MRG_MrgCmnd_On = $6c;
MRG_MrgCmnd_Off = $6d;
MRG_NestData_On = $6e;
MRG_NestData_Off = $6f;
MRG_NestForm_On = $70;
MRG_NestForm_Off = $71;
MRG_NestMacro_On = $72;
MRG_NestMacro_Off = $73;
MRG_NToC_On = $74;
MRG_NToC_Off = $75;
MRG_OnCancel_On = $76;
MRG_OnCancel_Off = $77;
MRG_OnError_On = $78;
MRG_OnError_Off = $79;
MRG_Prompt_On = $7a;
MRG_Prompt_Off = $7b;
MRG_StatusPrompt_On = $7c;
MRG_StatusPrompt_Off = $7d;
MRG_StrLen_On = $7e;
MRG_StrLen_Off = $7f;
MRG_StrPos_On = $80;
MRG_StrPos_Off = $81;
MRG_SubstData_On = $82;
MRG_SubstData_Off = $83;
MRG_SubstForm_On = $84;
MRG_SubstForm_Off = $85;
MRG_SubStr_On = $86;
MRG_SubStr_Off = $87;
MRG_System_On = $88;
MRG_System_Off = $89;
MRG_ToLower_On = $8a;
MRG_ToLower_Off = $8b;
MRG_ToUpper_On = $8c;
MRG_ToUpper_Off = $8d;
MRG_Variable_On = $8e;
MRG_Variable_Off = $8f;
MRG_Wait_On = $90;
MRG_Wait_Off = $91;
MRG_While_On = $92;
MRG_While_Off = $93;
MRG_PostNet_On = $94;
MRG_PostNet_Off = $95;


function  MRGInitDataFile (bWPVersion: WORD; lpszFileName: PChar): THandle; stdcall;
procedure MRGCreateFieldNames (hFile: THandle; lpszFieldName: PChar; nFieldCount: integer); stdcall;
procedure MRGAddField (hFile: THandle; lpszField: PChar); stdcall;
procedure MRGEndRecord (hFile: THandle); stdcall;
procedure MRGAddMergeCode (hFile: THandle; bMergeCode: BYTE); stdcall;
procedure MRGCloseDataFile (hFile: THandle); stdcall;

implementation

function MRGInitDataFile; external 'wpformat.dll' name 'MRGInitDataFile';
procedure MRGCreateFieldNames; external 'wpformat.dll' name 'MRGCreateFieldNames';
procedure MRGAddField; external 'wpformat.dll' name 'MRGAddField';
procedure MRGEndRecord; external 'wpformat.dll' name 'MRGEndRecord';
procedure MRGAddMergeCode; external 'wpformat.dll' name 'MRGAddMergeCode';
procedure MRGCloseDataFile; external 'wpformat.dll' name 'MRGCloseDataFile';

end.
